<?php

namespace Drupal\couchbasedrupal\Tests\Cache;

use Drupal\supercache\Tests\Generic\Cache\CacheTagsChecksumTests as TagsChecksumTests;

use Drupal\couchbasedrupal\Cache\CouchbaseBackendFactory;
use Drupal\couchbasedrupal\CouchbaseManager;
use Drupal\couchbasedrupal\Cache\CouchbaseTagsChecksum;

use Drupal\Core\Site\Settings;

class TagsChecksumInvalidatorTests extends TagsChecksumTests {

  public function setUp() {

    /** @var \Psr\Log\LoggerInterface */
    $logger =  $this->getMock(\Psr\Log\LoggerInterface::class);
    $app_root = '/';
    $site_path = 'mypath';

    $loader = new \Composer\Autoload\ClassLoader();
    Settings::initialize($app_root, $site_path, $loader);
    $settings = \Drupal\Core\Site\Settings::getInstance();

    $manager = new CouchbaseManager($settings, $logger);

    $couchbaseTags = new CouchbaseTagsChecksum($app_root, $site_path, $manager);

    $this->tagChecksum = $couchbaseTags;
    $this->tagInvalidator = $couchbaseTags;

    $this->tagInvalidator->resetTags();

    $this->backendFactory = new CouchbaseBackendFactory($manager, $app_root, $site_path, $this->tagChecksum, TRUE);

  }

  public function tearDown() {

  }
}
